Package Details: input-remapper-git 2.0.1.r0.ga012746a-1

Git Clone URL: https://aur.archlinux.org/input-remapper-git.git (read-only, click to copy)
Package Base: input-remapper-git
Description: A tool to change and program the mapping of your input device buttons.
Upstream URL: https://github.com/sezanzeb/input-remapper/
Licenses: GPL3
Conflicts: key-mapper
Provides: input-remapper
Submitter: sezanzeb
Maintainer: sezanzeb
Last Packager: sezanzeb
Votes: 31
Popularity: 0.96
First Submitted: 2022-01-01 12:10 (UTC)
Last Updated: 2023-09-19 17:48 (UTC)

Latest Comments

1 2 3 Next › Last »

alexisju commented on 2024-05-22 12:49 (UTC)

Module missing!

input-remapper-gtk ─╯ Traceback (most recent call last): File "/usr/bin/input-remapper-gtk", line 38, in <module> from inputremapper.gui.gettext import _, LOCALE_DIR ModuleNotFoundError: No module named 'inputremapper'

Ticket opened here too : https://github.com/sezanzeb/input-remapper/issues/895

ArchPie commented on 2024-01-11 19:18 (UTC)

@shawarden thank you for taking the time to answer. You just reinstalled? Didn't work for me :(

shawarden commented on 2024-01-11 00:58 (UTC)

@ArchPie Noticed that as well on the chaotic-aur r4 version. Reinstalling resolved the errors:

Jan 11 13:16:12 orion input-remapper-service[1137025]: Traceback (most recent call last):
Jan 11 13:16:12 orion input-remapper-service[1137025]:   File "/usr/lib/python3.11/site-packages/evdev/device.py", line 125, in __init__
Jan 11 13:16:12 orion input-remapper-service[1137025]:     fd = os.open(dev, os.O_RDWR | os.O_NONBLOCK)
Jan 11 13:16:12 orion input-remapper-service[1137025]:          ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
Jan 11 13:16:12 orion input-remapper-service[1137025]: FileNotFoundError: [Errno 2] No such file or directory: '/dev/input/event26'
Jan 11 13:16:12 orion input-remapper-service[1137025]: During handling of the above exception, another exception occurred:
Jan 11 13:16:12 orion input-remapper-service[1137025]: Traceback (most recent call last):
Jan 11 13:16:12 orion input-remapper-service[1137025]:   File "/usr/lib/python3.11/multiprocessing/process.py", line 314, in _bootstrap
Jan 11 13:16:12 orion input-remapper-service[1137025]:     self.run()
Jan 11 13:16:12 orion input-remapper-service[1137025]:   File "/usr/lib/python3.11/site-packages/inputremapper/injection/injector.py", line 414, in run
Jan 11 13:16:12 orion input-remapper-service[1137025]:     forward_devices[device_hash] = self._create_forwarding_device(device)
Jan 11 13:16:12 orion input-remapper-service[1137025]:                                    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
Jan 11 13:16:12 orion input-remapper-service[1137025]:   File "/usr/lib/python3.11/site-packages/inputremapper/injection/injector.py", line 361, in _create_forwarding_device
Jan 11 13:16:12 orion input-remapper-service[1137025]:     forward_to = evdev.UInput(
Jan 11 13:16:12 orion input-remapper-service[1137025]:                  ^^^^^^^^^^^^^
Jan 11 13:16:12 orion input-remapper-service[1137025]:   File "/usr/lib/python3.11/site-packages/evdev/uinput.py", line 155, in __init__
Jan 11 13:16:12 orion input-remapper-service[1137025]:     self.device = self._find_device()
Jan 11 13:16:12 orion input-remapper-service[1137025]:                   ^^^^^^^^^^^^^^^^^^^
Jan 11 13:16:12 orion input-remapper-service[1137025]:   File "/usr/lib/python3.11/site-packages/evdev/uinput.py", line 282, in _find_device
Jan 11 13:16:12 orion input-remapper-service[1137025]:     d = device.InputDevice(path)
Jan 11 13:16:12 orion input-remapper-service[1137025]:         ^^^^^^^^^^^^^^^^^^^^^^^^
Jan 11 13:16:12 orion input-remapper-service[1137025]:   File "/usr/lib/python3.11/site-packages/evdev/device.py", line 127, in __init__
Jan 11 13:16:12 orion input-remapper-service[1137025]:     fd = os.open(dev, os.O_RDONLY | os.O_NONBLOCK)
Jan 11 13:16:12 orion input-remapper-service[1137025]:          ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
Jan 11 13:16:12 orion input-remapper-service[1137025]: FileNotFoundError: [Errno 2] No such file or directory: '/dev/input/event26'

Does that also resolve the aur version r0?

ArchPie commented on 2024-01-10 13:29 (UTC)

For some time the app. doesn't work on KDE. Works on gnome and on KDE of other distros. Help would be appreciated

pedrohqb commented on 2023-09-18 22:35 (UTC)

Problem fixed on 2.0.1. It would be nice to update the package's version.

stasadev commented on 2023-09-18 19:26 (UTC)

To fix PydanticUserError, see https://github.com/sezanzeb/input-remapper/issues/769#issuecomment-1724216689

pedrohqb commented on 2023-09-17 21:08 (UTC)

The package is broken since 16/september.

[pedro@mope-arch ~]$ systemctl status input-remapper.service

set 17 18:06:53 mope-arch input-remapper-service[21217]: File "/usr/lib/python3.11/site-packages/pydantic/deprecated/class_validators.py", line 222, in root_valid> set 17 18:06:53 mope-arch input-remapper-service[21217]: return root_validator()(*__args) # type: ignore set 17 18:06:53 mope-arch input-remapper-service[21217]: ^^^^^^^^^^^^^^^^ set 17 18:06:53 mope-arch input-remapper-service[21217]: File "/usr/lib/python3.11/site-packages/pydantic/deprecated/class_validators.py", line 228, in root_valid> set 17 18:06:53 mope-arch input-remapper-service[21217]: raise PydanticUserError( set 17 18:06:53 mope-arch input-remapper-service[21217]: pydantic.errors.PydanticUserError: If you use @root_validator with pre=False (the default) you MUST speci> set 17 18:06:53 mope-arch input-remapper-service[21217]: For further information visit https://errors.pydantic.dev/2.3/u/root-validator-pre-skip set 17 18:06:53 mope-arch systemd[1]: input-remapper.service: Main process exited, code=exited, status=1/FAILURE set 17 18:06:53 mope-arch systemd[1]: input-remapper.service: Failed with result 'exit-code'. set 17 18:06:53 mope-arch systemd[1]: Failed to start Service to inject keycodes without the GUI application.

Chrome commented on 2023-09-17 19:42 (UTC)

I got the GUI to show up again after a couple more attempts. Same as before, popup "User not Authorized" and got the original error along with @ssr error.

ssr commented on 2023-09-17 16:23 (UTC) (edited on 2023-09-17 16:24 (UTC) by ssr)

In my case, error is something different

Sep 18 00:13:48 input-remapper-service[4305]: Traceback (most recent call last):
Sep 18 00:13:48 input-remapper-service[4305]:   File "/usr/bin/input-remapper-service", line 47, in <module>
Sep 18 00:13:48 input-remapper-service[4305]:     from inputremapper.daemon import Daemon
Sep 18 00:13:48 input-remapper-service[4305]:   File "/usr/lib/python3.11/site-packages/inputremapper/daemon.py", line 42, in <module>
Sep 18 00:13:48 input-remapper-service[4305]:     from inputremapper.injection.injector import Injector, InjectorState
Sep 18 00:13:48 input-remapper-service[4305]:   File "/usr/lib/python3.11/site-packages/inputremapper/injection/injector.py", line 36, in <module>
Sep 18 00:13:48 input-remapper-service[4305]:     from inputremapper.configs.input_config import InputCombination, InputConfig, DeviceHash
Sep 18 00:13:48 input-remapper-service[4305]:   File "/usr/lib/python3.11/site-packages/inputremapper/configs/input_config.py", line 51, in <module>
Sep 18 00:13:48 input-remapper-service[4305]:     class InputConfig(BaseModel):
Sep 18 00:13:48 input-remapper-service[4305]:   File "/usr/lib/python3.11/site-packages/inputremapper/configs/input_config.py", line 253, in InputConfig
Sep 18 00:13:48 input-remapper-service[4305]:     @root_validator
Sep 18 00:13:48 input-remapper-service[4305]:      ^^^^^^^^^^^^^^
Sep 18 00:13:48 input-remapper-service[4305]:   File "/usr/lib/python3.11/site-packages/pydantic/deprecated/class_validators.py", line 222, in root_validator
Sep 18 00:13:48 input-remapper-service[4305]:     return root_validator()(*__args)  # type: ignore
Sep 18 00:13:48 input-remapper-service[4305]:            ^^^^^^^^^^^^^^^^
Sep 18 00:13:48 input-remapper-service[4305]:   File "/usr/lib/python3.11/site-packages/pydantic/deprecated/class_validators.py", line 228, in root_validator
Sep 18 00:13:48 input-remapper-service[4305]:     raise PydanticUserError(
Sep 18 00:13:48 input-remapper-service[4305]: pydantic.errors.PydanticUserError: If you use `@root_validator` with pre=False (the default) you MUST specify `skip_on_failure=True`. Note that `@root_validator` is deprecated and should be replaced with `@model_validator`.
Sep 18 00:13:48 input-remapper-service[4305]: For further information visit https://errors.pydantic.dev/2.3/u/root-validator-pre-skip

Seems like some depreacted feature used.

Chrome commented on 2023-09-16 16:22 (UTC) (edited on 2023-09-16 16:35 (UTC) by Chrome)

Following git instructions, several issues arise.

GUI showed up once with error "User is not authorized". GUI hasn't shown up since.

GParted works and prompts for pass. I believe input remapper uses polkit as well? No password prompt though.

yay -S input-remapper-git works.

sudo systemctl restart input-remapper output:

Job for input-remapper.service failed because the control process exited with error code.
See "systemctl status input-remapper.service" and "journalctl -xeu input-remapper.service" for details.

systemctl status input-remapper.service output:

× input-remapper.service - Service to inject keycodes without the GUI application
     Loaded: loaded (/usr/lib/systemd/system/input-remapper.service; enabled; preset: disabled)
     Active: failed (Result: exit-code) since Sat 2023-09-16 12:02:22 EDT; 3min 39s ago
    Process: 5018 ExecStart=/usr/bin/input-remapper-service (code=exited, status=1/FAILURE)
   Main PID: 5018 (code=exited, status=1/FAILURE)
        CPU: 149ms

Sep 16 12:02:22 battleship input-remapper-service[5018]:   File "/usr/lib/python3.11/site-packages/pydantic/_internal/_model_construction.py", line 98>
Sep 16 12:02:22 battleship input-remapper-service[5018]:     private_attributes = inspect_namespace(
Sep 16 12:02:22 battleship input-remapper-service[5018]:                          ^^^^^^^^^^^^^^^^^^
Sep 16 12:02:22 battleship input-remapper-service[5018]:   File "/usr/lib/python3.11/site-packages/pydantic/_internal/_model_construction.py", line 35>
Sep 16 12:02:22 battleship input-remapper-service[5018]:     raise PydanticUserError(
Sep 16 12:02:22 battleship input-remapper-service[5018]: pydantic.errors.PydanticUserError: A non-annotated attribute was detected: `message_type = <M>
Sep 16 12:02:22 battleship input-remapper-service[5018]: For further information visit https://errors.pydantic.dev/2.3/u/model-field-missing-annotation
Sep 16 12:02:22 battleship systemd[1]: input-remapper.service: Main process exited, code=exited, status=1/FAILURE
Sep 16 12:02:22 battleship systemd[1]: input-remapper.service: Failed with result 'exit-code'.
Sep 16 12:02:22 battleship systemd[1]: Failed to start Service to inject keycodes without the GUI application.

journalctl -xeu input-remapper.service output:

░░ The process' exit code is 'exited' and its exit status is 1.
Sep 16 11:48:16 battleship systemd[1]: input-remapper.service: Failed with result 'exit-code'.
░░ Subject: Unit failed
░░ Defined-By: systemd
░░ Support: https://lists.freedesktop.org/mailman/listinfo/systemd-devel
░░ 
░░ The unit input-remapper.service has entered the 'failed' state with result 'exit-code'.
Sep 16 11:48:16 battleship systemd[1]: Failed to start Service to inject keycodes without the GUI application.
░░ Subject: A start job for unit input-remapper.service has failed
░░ Defined-By: systemd
░░ Support: https://lists.freedesktop.org/mailman/listinfo/systemd-devel
░░ 
░░ A start job for unit input-remapper.service has finished with a failure.
░░ 
░░ The job identifier is 288 and the job result is failed.
Sep 16 12:02:22 battleship systemd[1]: Starting Service to inject keycodes without the GUI application...
░░ Subject: A start job for unit input-remapper.service has begun execution
░░ Defined-By: systemd
░░ Support: https://lists.freedesktop.org/mailman/listinfo/systemd-devel
░░ 
░░ A start job for unit input-remapper.service has begun execution.
░░ 
░░ The job identifier is 3628.
Sep 16 12:02:22 battleship input-remapper-service[5018]: /usr/lib/python3.11/site-packages/pydantic/_internal/_config.py:269: UserWarning: Valid config keys have changed in V2:
Sep 16 12:02:22 battleship input-remapper-service[5018]: * 'allow_mutation' has been removed
Sep 16 12:02:22 battleship input-remapper-service[5018]: * 'underscore_attrs_are_private' has been removed
Sep 16 12:02:22 battleship input-remapper-service[5018]:   warnings.warn(message, UserWarning)
Sep 16 12:02:22 battleship input-remapper-service[5018]: Traceback (most recent call last):
Sep 16 12:02:22 battleship input-remapper-service[5018]:   File "/usr/bin/input-remapper-service", line 47, in <module>
Sep 16 12:02:22 battleship input-remapper-service[5018]:     from inputremapper.daemon import Daemon
Sep 16 12:02:22 battleship input-remapper-service[5018]:   File "/usr/lib/python3.11/site-packages/inputremapper/daemon.py", line 42, in <module>
Sep 16 12:02:22 battleship input-remapper-service[5018]:     from inputremapper.injection.injector import Injector, InjectorState
Sep 16 12:02:22 battleship input-remapper-service[5018]:   File "/usr/lib/python3.11/site-packages/inputremapper/injection/injector.py", line 36, in <module>
Sep 16 12:02:22 battleship input-remapper-service[5018]:     from inputremapper.configs.input_config import InputCombination, InputConfig, DeviceHash
Sep 16 12:02:22 battleship input-remapper-service[5018]:   File "/usr/lib/python3.11/site-packages/inputremapper/configs/input_config.py", line 51, in <module>
Sep 16 12:02:22 battleship input-remapper-service[5018]:     class InputConfig(BaseModel):
Sep 16 12:02:22 battleship input-remapper-service[5018]:   File "/usr/lib/python3.11/site-packages/pydantic/_internal/_model_construction.py", line 98, in __new__
Sep 16 12:02:22 battleship input-remapper-service[5018]:     private_attributes = inspect_namespace(
Sep 16 12:02:22 battleship input-remapper-service[5018]:                          ^^^^^^^^^^^^^^^^^^
Sep 16 12:02:22 battleship input-remapper-service[5018]:   File "/usr/lib/python3.11/site-packages/pydantic/_internal/_model_construction.py", line 352, in inspect_namespace
Sep 16 12:02:22 battleship input-remapper-service[5018]:     raise PydanticUserError(
Sep 16 12:02:22 battleship input-remapper-service[5018]: pydantic.errors.PydanticUserError: A non-annotated attribute was detected: `message_type = <MessageType.selected_event: 'selected_event'>`. All mod>
Sep 16 12:02:22 battleship input-remapper-service[5018]: For further information visit https://errors.pydantic.dev/2.3/u/model-field-missing-annotation
Sep 16 12:02:22 battleship systemd[1]: input-remapper.service: Main process exited, code=exited, status=1/FAILURE
░░ Subject: Unit process exited
░░ Defined-By: systemd
░░ Support: https://lists.freedesktop.org/mailman/listinfo/systemd-devel
░░ 
░░ An ExecStart= process belonging to unit input-remapper.service has exited.
░░ 
░░ The process' exit code is 'exited' and its exit status is 1.
Sep 16 12:02:22 battleship systemd[1]: input-remapper.service: Failed with result 'exit-code'.
░░ Subject: Unit failed
░░ Defined-By: systemd
░░ Support: https://lists.freedesktop.org/mailman/listinfo/systemd-devel
░░ 
░░ The unit input-remapper.service has entered the 'failed' state with result 'exit-code'.
Sep 16 12:02:22 battleship systemd[1]: Failed to start Service to inject keycodes without the GUI application.
░░ Subject: A start job for unit input-remapper.service has failed
░░ Defined-By: systemd
░░ Support: https://lists.freedesktop.org/mailman/listinfo/systemd-devel
░░ 
░░ A start job for unit input-remapper.service has finished with a failure.
░░ 
░░ The job identifier is 3628 and the job result is failed.